=== debian/changelog ===
sysadmin-guide (0.5) unstable; urgency=low

  * First release with Debian packaging files.
  * Added automatic conversion to HTML to the Makefile.
  * Converted pictures to PS, so that LaTeX2HTML will work better.
  * Added alternatives to beginning of sag.tex to support different
    paper sizes and stuff.
  * Added chapter on user accounts.
  * Minor changes to wording and other clarifications and fixes here 
    and there.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 29 Jun 1997 02:15:18 +0300

Local variables:
mode: debian-changelog
End:
