=== debian/control ===
Source: sysadmin-guide
Section: doc
Priority: optional
Maintainer: Lars Wirzenius <liw@iki.fi>
Standards-Version: 2.1.0.0

Package: sysadmin-guide
Architecture: all
Description: The Linux System Administrators' Guide as HTML
 The Linux System Administrators' Guide is a book for people new to
 administering Linux systems. This package contains the HTML version,
 accessible via /usr/doc/sysadmin-guide/index.html (or dwww).
